#### D.15.5.7 globalSections

Procedure from library `divisors.lib` (see divisors_lib).

Usage:
  globalSections(A); A = divisor.

Assume:
  A is a divisor on X.

Return:
  a list with a basis of the space of global sections of D.

Theory:
  We assume that the qring of X satisfies the S2-condition and that X is smooth. We compute sat((f*J) : I) /f where D = (I)-(J).

Example:

    LIB "divisors.lib";
    ring r=31991,(x,y,z),dp;
    ideal I = y^2*z - x*(x-z)*(x+3*z);
    qring Q = std(I);
    divisor P = makeDivisor(ideal(x,z),ideal(1));
    divisor D = multdivisor(4,P);
    globalSections(D);

User manual for Singular version 4-0-3, 2016, generated by texi2html.